=== debian/changelog ===
teleport (0.34-7) unstable; urgency=low

  * Move from cdbs to dh 9.

 -- Moray Allan <moray@debian.org>  Sun, 25 Mar 2012 22:21:45 +0100

teleport (0.34-6) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.

 -- Moray Allan <moray@debian.org>  Sat, 24 Mar 2012 23:11:26 +0000

teleport (0.34-5) unstable; urgency=low

  * Add -lX11 to linker flags.  Closes: #556490.
  * Update standards version.
  * Use newer debhelper compatibility version.

 -- Moray Allan <moray@debian.org>  Sun, 08 May 2011 12:46:36 +0100

teleport (0.34-4) unstable; urgency=low

  * Removed unneeded old files from debian directory.
  * Update menu file for new menu policy.

 -- Moray Allan <moray@debian.org>  Sun, 16 Mar 2008 20:03:24 +0100

teleport (0.34-3) unstable; urgency=low

  * Update watch file URL.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 21:32:41 +0000

teleport (0.34-2) unstable; urgency=low

  * Remove debian/rules.old file.

 -- Moray Allan <moray@debian.org>  Mon, 17 Apr 2006 22:39:59 +0100

teleport (0.34-1) unstable; urgency=low

  * New upstream release.
  * Update watch file URL.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 17:44:35 +0000

teleport (0.33-3) unstable; urgency=medium

  * Move to libgcrypt11. Closes: #263674.

 -- Moray Allan <moray@debian.org>  Thu,  5 Aug 2004 13:32:46 +0100

teleport (0.33-2) unstable; urgency=low

  * Add cdbs to Build-Depends, and specify libgcrypt7-dev rather than generic
    libgcrypt-dev. Closes: #261301.

 -- Moray Allan <moray@debian.org>  Thu, 29 Jul 2004 01:31:12 +0100

teleport (0.33-1) unstable; urgency=low

  * New upstream release

 -- Moray Allan <moray@debian.org>  Tue, 20 Jul 2004 21:01:43 +0100

teleport (0.32-3) unstable; urgency=low

  * Use cdbs to build package.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jul 2004 00:31:36 +0100

teleport (0.32-2) unstable; urgency=low

  * Add step-by-step example to README.Debian file.

 -- Moray Allan <moray@debian.org>  Fri, 16 Jan 2004 21:42:34 +0000

teleport (0.32-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@sermisy.org>  Fri,  7 Nov 2003 22:14:23 +0000

teleport (0.31.1-2) unstable; urgency=low

  * Add debian/watch file.
  * Add README.Debian file, minor additions to man pages.
  * Select the first window available for migration at startup.
  * Fix the button order to follow GNOME HIG.
  * Give an error if no windows support migration.

 -- Moray Allan <moray@sermisy.org>  Fri, 17 Oct 2003 02:50:06 +0100

teleport (0.31.1-1) unstable; urgency=low

  * Initial release. Closes: #201607.

 -- Moray Allan <moray@sermisy.org>  Sun, 13 Jul 2003 12:09:04 +0100
