=== debian/control ===
Source: teleport
Section: x11
Priority: optional
Maintainer: Moray Allan <moray@debian.org>
Build-Depends: debhelper (>= 9), libgpewidget-dev, libdisplaymigration-dev, libgcrypt11-dev, libsqlite0-dev
Standards-Version: 3.9.3

Package: teleport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: moves running applications between displays
 Teleport allows some applications to be moved between X displays without
 being closed and restarted. It uses X properties to request that applications
 which support the display migration protocol move to another display.
 .
 Note that few applications or toolkits currently support the display
 migration protocol.
