=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	make DESTDIR=debian/teleport/ PREFIX=/usr

override_dh_auto_install:
	make install DESTDIR=debian/teleport/ PREFIX=/usr
